## ros-kinetic-roslint 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roslint)

find_package(catkin REQUIRED)

catkin_package(CFG_EXTRAS roslint-extras.cmake)
catkin_python_setup()

install(PROGRAMS scripts/cpplint scripts/pep8 scripts/test_wrapper
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Lint itself. This also serves as a smoke check of the cmake extras file.
# Please note that this complexity is due to self-checking. For typical usage, please
# see the ROS wiki: http://wiki.ros.org/roslint
if(CATKIN_ENABLE_TESTING)
  set(extra "cmake/roslint-extras.cmake")
  em_expand(${catkin_EXTRAS_DIR}/templates/cfg-extras.context.py.in
    ${CMAKE_CURRENT_BINARY_DIR}/${extra}.develspace.context.cmake.py
    ${CMAKE_CURRENT_SOURCE_DIR}/${extra}.em
    ${CMAKE_CURRENT_BINARY_DIR}/${extra})
  include(${CMAKE_CURRENT_BINARY_DIR}/${extra})

  roslint_python(
    setup.py
    src/roslint/cpplint_wrapper.py)
  roslint_add_test()
endif()

=== debian/changelog ===
ros-kinetic-roslint (0.11.0-0xenial) xenial; urgency=high

  * Add Alex Henning as maintainer
  * Moved default flags for cpplint from cmake file to cpplint script to have centralized place for such flag.
  * Set the python max-line-length to 120, allows rosrun roslint pep8 to run with the expected settings.
  * Fixes issue #40 <https://github.com/ros/roslint/issues/40>.
  * Contributors: Alex Henning, Andriy Petlovanyy, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 23 Mar 2016 04:00:00 -0000

ros-kinetic-roslint (0.10.0-0xenial) xenial; urgency=high

  * Updated pep8 from 1.4.7a0 to 1.6.2
  * Updated cpplint to the latest version (https://github.com/google/styleguide/tree/554223dc5432f9bd67951cde662f7a023c512dec)
  * Fix for falsely reporting do-whiles as an error
  * Fixes for access control in structs
  * Contributors: Alex Henning, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 07 Aug 2015 04:00:00 -0000

ros-kinetic-roslint (0.9.3-0xenial) xenial; urgency=high

  * Don't hang on header outside "include" dir.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 06 Jan 2015 05:00:00 -0000

ros-kinetic-roslint (0.9.2-0xenial) xenial; urgency=high

  * Better implementation of roslint_add_test
  * Simple implementation of XML results output
  * roslint roslints itself
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 31 Mar 2014 04:00:00 -0000

ros-kinetic-roslint (0.9.1-0xenial) xenial; urgency=high

  * Add roslint_add_test function
  * Run the include-line checks with errors suppressed. This kills spurious build/include_what_you_use errors.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Feb 2014 05:00:00 -0000

ros-kinetic-roslint (0.9.0-0xenial) xenial; urgency=high

  * Allow a trailing semicolon after closing brace.
  * Add more tolerance for braces as array initializers, and eliminate the warning about access control labels.
  * Rename python library to roslint, to play better.
  * Use templated extras file to find roslint scripts without rosrun.
  * Max length override for pep8; remove roslint custom shout.
  * Add some overrides in an effort to comply better with ROS C++ Style.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 17 Feb 2014 05:00:00 -0000

ros-kinetic-roslint (0.0.1-0xenial) xenial; urgency=high

  * Basic initial release, with roslint_python, roslint_cpp, and roslint_custom macros included.
  * pep8 and cpplint linters packaged-in.

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roslint
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/roslint
Standards-Version: 3.9.2

Package: ros-kinetic-roslint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: CMake lint commands for ROS packages.
 The lint commands perform static checking of Python or C++ source code for errors and standards compliance.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roslint//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
